Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class AsyncServiceResponse

    java.lang.Object
      |
      +--com.bea.wlai.client.AsyncServiceResponse

public class AsyncServiceResponse
extends java.lang.Object
implements java.io.Serializable

Represents a response for an asynchronous service request. This object contains information such as the request's ID, and the response document generated when this request was processed. Any error that occurs while processing an asyn request is stored in an AsyncServiceResponse object, and may be checked for using hasError(). The actual error message text can be retrieved using getErrorMessage().

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  AsyncServiceResponseListener, Serialized Form

Constructor Summary
`AsyncServiceResponse(QualifiedName appViewName, java.lang.String serviceName, java.lang.String requestID, IDocument response)`
`AsyncServiceResponse(QualifiedName appViewName, java.lang.String serviceName, java.lang.String requestID, IDocument response, java.io.Serializable userObject)`
`AsyncServiceResponse(QualifiedName appViewName, java.lang.String serviceName, java.lang.String requestID, java.lang.String errorMsg)`
`AsyncServiceResponse(QualifiedName appViewName, java.lang.String serviceName, java.lang.String requestID, java.lang.String errorMsg, java.io.Serializable userObject)`

Method Summary
`QualifiedName` | `getApplicationViewName()` Get the name of the ApplicationView that hosts the service that was invoked.
`java.lang.String` | `getErrorMessage()` Get the error message text associated with the error that occurred while processing the request (if any).
`java.lang.String` | `getRequestID()` Get the ID for the request to which this response belongs.
`IDocument` | `getResponseDocument()` Get the response document associated with the request.
`java.lang.String` | `getServiceName()` Get the service name that was invoked.
`java.io.Serializable` | `getUserObject()` Get the user specified Serializable instance (if any) specified at the time of the request corresponding to this response.
`boolean` | `hasError()` Determine if any error occurred while processing the request.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                java.lang.String serviceName,
                                java.lang.String requestID,
                                java.lang.String errorMsg)

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                java.lang.String serviceName,
                                java.lang.String requestID,
                                java.lang.String errorMsg,
                                java.io.Serializable userObject)

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                java.lang.String serviceName,
                                java.lang.String requestID,
                                IDocument response)

### AsyncServiceResponse

    public AsyncServiceResponse(QualifiedName appViewName,
                                java.lang.String serviceName,
                                java.lang.String requestID,
                                IDocument response,
                                java.io.Serializable userObject)

Method Detail

### getApplicationViewName

    public QualifiedName getApplicationViewName()

  Get the name of the ApplicationView that hosts the service that was invoked.

### getServiceName

    public java.lang.String getServiceName()

  Get the service name that was invoked.

### getRequestID

    public java.lang.String getRequestID()

  Get the ID for the request to which this response belongs.

### getResponseDocument

    public IDocument getResponseDocument()

  Get the response document associated with the request.

### hasError

    public boolean hasError()

  Determine if any error occurred while processing the request. If this method returns true, the client should call getErrorMessage() to retrieve the error message text.

### getErrorMessage

    public java.lang.String getErrorMessage()

  Get the error message text associated with the error that occurred while processing the request (if any). If no error occurred, this method returns null.

### getUserObject

    public java.io.Serializable getUserObject()

  Get the user specified Serializable instance (if any) specified at the time of the request corresponding to this response.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)